Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.fileupload
Class HtmlFileUploadRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.fileupload.HtmlFileUploadRenderer

public class HtmlFileUploadRenderer
extends javax.faces.render.Renderer

Version:
  $Revision: 289670 $ $Date: 2005-09-16 18:41:57 -0400 (Fri, 16 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlFileUploadRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` | `getConvertedValue(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`protected boolean` | `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, encodeChildren, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlFileUploadRenderer

    public HtmlFileUploadRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent uiComponent)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext context,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD